Page MenuHomePhabricator

[MIPS] Support standard GDB remote stop reply packet for watchpoint
ClosedPublic

Authored by jaydeep on Aug 3 2015, 9:44 PM.

Details

Reviewers
clayborg
jingham
Summary

The patch supports 'TAAwatch:addr' packet.
The patch also sets m_watchpoints_trigger_after_instruction to eLazyBoolNo when qHostInfo or qWatchpointSupportInfo is not supported by the target.

Diff Detail

Repository
rL LLVM

Event Timeline

jaydeep updated this revision to Diff 31297.Aug 3 2015, 9:44 PM
jaydeep retitled this revision from to [MIPS] Support standard GDB remote stop reply packet for watchpoint.
jaydeep updated this object.
jaydeep added a reviewer: jingham.
jaydeep set the repository for this revision to rL LLVM.
jaydeep added subscribers: lldb-commits, bhushan, slthakur and 2 others.

Could you please find some time to review this?
Thanks.

clayborg requested changes to this revision.Aug 11 2015, 10:21 AM
clayborg added a reviewer: clayborg.
clayborg added a subscriber: clayborg.

See inlined comments.

source/Plugins/Process/gdb-remote/GDBRemoteCommunicationClient.cpp
2475–2476

Change to the last argument: "llvm::Triple::ArchType atype" to "const ArchSpec &arch" in case we need to check the vendor or OS for some reason...

2485

Change to the last argument: "llvm::Triple::ArchType atype" to "const ArchSpec &arch" in case we need to check the vendor or OS for some reason...

source/Plugins/Process/gdb-remote/ProcessGDBRemote.cpp
27

Please use StreamString from:

#include "lldb/Core/StreamString.h"

instead of sstream

2498–2500

Not sure if you need to do this, try not setting this and see how the description comes out. The watchpoint stop info should set this correctly?

3103–3104

I would just pass a "const ArchSpec & arch" instead of just the machine.

This revision now requires changes to proceed.Aug 11 2015, 10:21 AM
jaydeep added inline comments.Aug 12 2015, 2:17 AM
source/Plugins/Process/gdb-remote/ProcessGDBRemote.cpp
2498–2500

We need "watchpoint" in the description so that SetThreadStopInfo can create CreateStopReasonWithWatchpointID.

jaydeep updated this revision to Diff 31919.Aug 12 2015, 3:50 AM
jaydeep edited edge metadata.

Addressed review comments.

clayborg accepted this revision.Aug 12 2015, 10:02 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Aug 12 2015, 10:02 AM
jaydeep closed this revision.Aug 13 2015, 10:03 PM

Closed by commit rL244865